org.glassfish.jersey.server.model

## Class ResourceModelIssue

- java.lang.Object
- - org.glassfish.jersey.server.model.ResourceModelIssue

    public final class ResourceModelIssue
    extends Object

Resource model validity issue.

Covers various model issues, such as duplicate URI templates, duplicate HTTP method annotations, etc.

The model issues can be either fatal warnings or hings (see `getSeverity()`). While the non-fatal issues are merely reported as warnings in the log, the fatal issues prevent the successful application deployment.

Author:
  Jakub Podlesak, Marek Potociar

### Constructor Summary

Constructors
Constructor and Description
`ResourceModelIssue(Object source, String message)` Create a new resource model warning.
`ResourceModelIssue(Object source, String message, Severity severity)` Create a new resource model issue.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getMessage()` Human-readable description of the issue.
`Severity` `getSeverity()` Get `Severity`.
`Object` `getSource()` The issue source.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceModelIssue

    public ResourceModelIssue(Object source,
                              String message)

Create a new resource model warning.

Parameters:
  `source` - issue source.
  `message` - human-readable issue description.

#### ResourceModelIssue

    public ResourceModelIssue(Object source,
                              String message,
                              Severity severity)

Create a new resource model issue.

Parameters:
  `source` - issue source.
  `message` - human-readable issue description.
  `severity` - indicates severity of added error.

### Method Detail

#### getMessage

    public String getMessage()

Human-readable description of the issue.

Returns:
  message describing the issue.

#### getSeverity

    public Severity getSeverity()

Get `Severity`.

Returns:
  severity of current `ResourceModelIssue`.

#### getSource

    public Object getSource()

The issue source.

Identifies the object where the issue was found.

Returns:
  source of the issue.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`